#1 Explicitly require setuptools, utils/get_resource.py imports pkg_resources
Opened 2 years ago by thrnciar. Modified 2 years ago
rpms/ thrnciar/gns3-net-converter setuptools  into  rawhide

@@ -0,0 +1,26 @@ 

+ From e1a1c27a68345b8fc2ab5cd60903783faa61718a Mon Sep 17 00:00:00 2001

+ From: Tomas Hrnciar <thrnciar@redhat.com>

+ Date: Wed, 31 Mar 2021 12:08:42 +0200

+ Subject: [PATCH] Explicitly require setuptools, utils/get_resource.py imports

+  pkg_resources

+ 

+ ---

+  setup.py | 2 +-

+  1 file changed, 1 insertion(+), 1 deletion(-)

+ 

+ diff --git a/setup.py b/setup.py

+ index 749487f..8f0563b 100644

+ --- a/setup.py

+ +++ b/setup.py

+ @@ -40,7 +40,7 @@ setup(

+                  'newer version 1+ JSON format',

+      long_description=open("README.rst", "r").read(),

+      test_suite='tests',

+ -    install_requires=['configobj'],

+ +    install_requires=['configobj', 'setuptools'],

+      package_data={'gns3converter': ['configspec']},

+      entry_points={

+          'console_scripts': ['gns3-converter = gns3converter.main:main']

+ -- 

+ 2.29.2

+ 

file modified
+7 -1
@@ -1,8 +1,11 @@ 

  Name:           gns3-net-converter

  Version:        1.3.0

- Release:        17%{?dist}

+ Release:        18%{?dist}

  Summary:        Convert old ini-style GNS3 topologies to v1+ JSON format

  

+ # This project is archived by upstream, thus downstream patch

+ Patch1:         0001-Explicitly-require-setuptools-utils-get_resource.py-.patch

+ 

  License:        GPLv3

  URL:            https://pypi.org/project/gns3-net-converter/

  Source0:        https://files.pythonhosted.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
@@ -43,6 +46,9 @@ 

  

  

  %changelog

+ * Wed Mar 31 2021 Tomas Hrnciar <thrnciar@redhat.com> - 1.3.0-18

+ - Explicitly require setuptools, utils/get_resource.py imports pkg_resources

+ 

  * Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-17

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

  

no initial comment

Oh, the upstream repo is archived :/

rebased onto 387f23c

2 years ago